import React, { useState } from "react";
import {
  View,
  Text,
  TextInput,
  TouchableOpacity,
  StyleSheet,
  Button,
} from "react-native";
import RadioForm, {
  RadioButton,
  RadioButtonInput,
  RadioButtonLabel,
} from "react-native-simple-radio-button";
import DateTimePicker from "@react-native-community/datetimepicker";

export default function PatientRegThree({ navigation, route }) {
  const [birthday, setBirthday] = useState(new Date());
  const [gender, setGender] = useState("");
  const [showDatePicker, setShowDatePicker] = useState(false);
  var stringDate;

  const handleDateChange = (event, selectedDate) => {
    const currentDate = selectedDate || date;
    setShowDatePicker(false);
    setBirthday(currentDate);
  };

  const convertDateToString = () => {
    stringDate = birthday.toLocaleDateString();
  };

  const handleNext = () => {
    convertDateToString();
    navigation.navigate("PatientRegFour", {
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      stringDate,
      gender,
    });
    console.log({
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      birthday,
      gender,
    });
  };

  const radioOptions = [
    { label: "Male", value: "male" },
    { label: "Female", value: "female" },
    { label: "Other", value: "other" },
  ];

  return (
    <View style={styles.container}>
      <Text>Date of Birth</Text>
      <Button title="Pick a date" onPress={() => setShowDatePicker(true)} />
      {showDatePicker && (
        <DateTimePicker
          value={birthday}
          mode="date"
          display="default"
          onChange={handleDateChange}
        />
      )}

      <Text>Gender</Text>
      <RadioForm
        radio_props={radioOptions}
        initial={0}
        onPress={(value) => setGender(value)}
        formHorizontal={true}
        labelHorizontal={false}
        buttonColor={"#2196f3"}
        selectedButtonColor={"#2196f3"}
        labelStyle={{ fontSize: 16, marginHorizontal: 10 }}
        style={{ marginVertical: 10 }}
      />
      <Button title="Next" onPress={handleNext} />
    </View>
  );
}
const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  input: {
    width: "80%",
    height: 40,
    marginVertical: 10,
    paddingHorizontal: 10,
    borderColor: "gray",
    borderWidth: 1,
    borderRadius: 5,
  },
  label: {
    fontSize: 18,
    fontWeight: "bold",
    marginVertical: 10,
  },
  datePicker: {
    width: "100%",
    marginBottom: 20,
  },
  dateInput: {
    borderWidth: 0,
    borderBottomWidth: 1,
    borderBottomColor: "#ccc",
  },
  dateText: {
    fontSize: 16,
  },
  placeholderText: {
    fontSize: 16,
    color: "#aaa",
  },
  btnTextConfirm: {
    color: "#2196f3",
  },
  btnTextCancel: {
    color: "#666",
  },
});
